#include <stdio.h>

main()
{
	int i,j;
	float claparray[25] = { 0.298, 0.846, 1.405, 1.998, 2.54, 3.078, 3.659, 4.232, 4.802, 5.413, 5.989, 8.787, 7.134, 7.630, 8.267, 8.781, 9.353, 9.898, 10.435, 10.991, 11.561, 12.129, 12.637, 13.207, 13.782 };
	float gauss(float, float);
	float brrand();
	float gnum;
	float st,inskip;
	int index;

	printf("rtsetparams(44100, 2)\n");
	printf("load(\"STEREO\")\n");
	printf("rtinput(\"../claps.aiff\")\n");

	st = 0.0;
	for (i = 0; i < 20; i++) {
		for (j = 0; j < 30; j++) {
			do {
				gnum = gauss(0.5, 0.16666);
			} while (gnum > 0.5);

			gnum *= 0.7;

			index = brrand() * 25.0;
			inskip = claparray[index];
			printf("STEREO(%f, %f, 0.25, 1.0, %f)\n",st+gnum,inskip,brrand());
		}
		st += 0.6;
	}
}



static long randx = 1;

float gauss(float mean, float stdev)
{
	int j,k;
	float randnum;
	float scale = 1.0;
	float halfN = 6.0;
	int N = 12;
	float output;

	output = -1.0;
	while (output < 0.0) {
	randnum = 0.0;
	for (j = 0; j < N; j++) {
		k = ((randx = randx * 1103515245 + 12345) >> 16) & 077777;
		randnum += (float) k / 32768.0;
	}

	output = stdev * scale * (randnum - halfN) + mean;
	}
	return(output);
}

float brrand()
{
	int i = ((randx = randx*1103515245 + 12345)>>16) & 077777;
	return((float)i/32768.0);
}

