#include <stdio.h>

main()
{
	int i;
	float prob;
	float gauss(float,float);
	float st;
	int index;
	float pitches[10];
	float pch;

	printf("rtsetparams(44100, 2)\n");
	printf("load(\"WAVESHAPE\")\n");

	printf("makegen(1, 24, 1000, 0,0, 0.1,0, 1,1, 2,0, 2.1,0)\n");
	printf("makegen(2, 10, 1000, 1)\n");
	printf("makegen(3, 17, 1000, 0.9, 0.3, -0.2, 0.6, -0.7)\n");
	printf("makegen(4, 24, 1000, 0,0, 1,1, 2,0)\n");

	pitches[0] = 6.04;
	pitches[1] = 6.08;
	pitches[2] = 6.09;
	pitches[3] = 6.07;
	pitches[4] = 6.00;
	pitches[5] = 6.05;
	pitches[6] = 6.10;
	pitches[7] = 6.03;
	pitches[8] = 6.02;
	pitches[9] = 6.01;

	st = 0.0;
	for (i = 0; i < 50; i++) {
		do {
			prob = gauss(0.5, 0.16666);
		} while (prob > 1.0);

		index = prob * 10.0;
		pch = pitches[index];
		printf("WAVESHAPE(%f,7.0,%f+(random()*0.003),0,0.9,5000,0)\n",st,pch);
		printf("WAVESHAPE(%f,7.0,%f+(random()*0.003),0,0.9,5000,0.2)\n",st,pch);
		printf("WAVESHAPE(%f,7.0,%f+(random()*0.003),0,0.9,5000, 0.8)\n",st,pch);
		printf("WAVESHAPE(%f,7.0,%f+(random()*0.003),0,0.9,5000,1)\n",st,pch);
		st = st + (4.0 * gauss(0.5, 0.16666));
	}
}


float gauss(float mean, float stdev)
{
	int j,k;
	float randnum;
	float scale = 1.0;
	float halfN = 6.0;
	int N = 12;
	static long randx = 0.1;
	float output;

	output = -1.0;
	while (output < 0.0) {
	randnum = 0.0;
	for (j = 0; j < N; j++) {
		k = ((randx = randx * 1103515245 + 12345) >> 16) & 077777;
		randnum += (float) k / 32768.0;
	}

	output = stdev * scale * (randnum - halfN) + mean;
	}
	return(output);
}

